Skip to main content
POST
/
v2
/
ProductGroup
/
AddProductGroups
Add new product groups.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/ProductGroup/AddProductGroups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "names": [
    "<string>"
  ]
}
'
import requests

url = "https://api.jtl-cloud.com/erp/v2/ProductGroup/AddProductGroups"

payload = { "names": ["<string>"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({names: ['<string>']})
};

fetch('https://api.jtl-cloud.com/erp/v2/ProductGroup/AddProductGroups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Add new product groups. - Request

names
string[]

The names of the product groups.

Response

Product groups successfully created.